Subject: bug#58506: Use ".dir-locals.eld" and ".dir-locals-2.eld" when they exist

From: Stefan Monnier <[email-masked]>
Date: Sat, 15 Oct 2022 12:22:32 -0400

> There is unsafep, but that is too strict for what we want.  E.g.
>
>   (unsafep '(setq tab-width 3)) ;; => (global-variable tab-width)

We have our own safety predicates for setting variables, so the
`unsafep` test should only be applied to the computation of the value to
which we want to set the variable.  After checking it's safe, we can run
that code to get the value, and then we can call the variable's own
safety predicate to check that the computed value is safe.

        Sefan